Upgrading to VS2010

4 posts, 0 answers
  1. Bill
    Bill avatar
    175 posts
    Member since:
    Apr 2010

    Posted 08 Dec 2010 Link to this post

    We are a shop that currently uses VS2008. We would like to upgrade our apps to VS2010 initially using the 3.5 framework. Sometime later, we would like to upgrade our apps to the 4.0 framework.

    We had an architect in our company try and convert VS2008 to VS2010 project and worked fine except for the Telerk tools. He could not get the present version of the DLL to work. Our current version is: 2009.3.1314.35

    What is the proper upgrade path in order to accomplish the above scenario?
  2. Sebastian
    Admin
    Sebastian avatar
    9934 posts

    Posted 09 Dec 2010 Link to this post

    Hello William,

    I suggest you review the information from this forum thread for a starter. Additionally, note that the Q3 2009 SP2  .NET 35 assembly you use (2010.3.1314) should work properly under .NET 4 and VS 2010 despite they are built against the .NET 35 version of the framework.

    Best regards,
    Sebastian
    the Telerik team
    Browse the vast support resources we have to jumpstart your development with RadControls for ASP.NET AJAX. See how to integrate our AJAX controls seamlessly in SharePoint 2007/2010 visiting our common SharePoint portal.
  3. UI for ASP.NET Ajax is Ready for VS 2017
  4. Bill
    Bill avatar
    175 posts
    Member since:
    Apr 2010

    Posted 09 Dec 2010 Link to this post

    Sebastian, while I understand that we need the Q1 2010 Telerik tools minimum for the 4.0 framework (after reading your link), my question is directed more towards converting to VS2010 using the 3.5 framework. Later on, we will convert to the 4.0 framework once we feel comfortable with VS2010.

    In my previous post, I stated that there are issues where the project won't compile using vs2010, the .net 3.5 framework and the version of the Telerik tools we currently have.

    What do we need to do in order to get this part working?

    The bottom line is: what do we need to do to get the Telerik tools to work with VS2010 & the 3.5 framework?
  5. Sebastian
    Admin
    Sebastian avatar
    9934 posts

    Posted 10 Dec 2010 Link to this post

    Hello William,

    As I depicted in my previous reply, the version of our AJAX controls you use (2009.3.1314) should work without issues under .NET 35 or .NET 4 framework and VS 2010. If you experience problems with the compilation, please post the stack trace of the exception(s) you receive in order to advice you further.

    Best regards,
    Sebastian
    the Telerik team
    Browse the vast support resources we have to jump start your development with RadControls for ASP.NET AJAX. See how to integrate our AJAX controls seamlessly in SharePoint 2007/2010 visiting our common SharePoint portal.
Back to Top